curl -X PUT '{host}/api/v1/alerting/rules/{ruleUuid}' \
-H 'Authorization: Bearer {token}' \
-H 'Content-Type: application/json' \
-d '{
"name": "Updated CPU Alert",
"description": "Updated alert description",
"operator": ">",
"threshold": "85",
"duration": "300",
"severity": "warning",
"state": "disabled",
"notifyUrl": "https://example.com/callback",
"actions": [
{
"uuid": "action-001",
"ruleUuid": "rule-abc123-def456",
"type": "command_snippet",
"label": "Restart Service",
"content": "systemctl restart nginx",
"orderIndex": "1",
"createDate": "2026-01-15T08:00:00Z"
}
],
"updateActions": "true",
"labelSelectors": [
{
"key": "value",
"operator": "value",
"values": [
"{values}"
]
}
],
"updateLabelSelectors": "true",
"productType": "value",
"resourceSubType": "value",
"sourceSystem": "value",
"sourceAlarmUuid": "value",
"sourceAlarmName": "value",
"sourceNamespace": "value",
"sourceMetricName": "value",
"sourceLabels": "value",
"filterRules": "value",
"conditionType": "value",
"thresholdUnit": "value",
"rawPeriod": "10",
"rawEmergencyLevel": "value",
"ruleStatus": "value",
"prometheusMetricStatus": "value",
"defaultConfigSnapshot": "value",
"sourceRawPayload": "value"
}'